/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 * 
 * Copyright 2007 Sun Microsystems, Inc. All rights reserved. 
 * 
 * The contents of this file are subject to the terms of the Common Development
 * and Distribution License("CDDL") (the "License").  You may not use this file
 * except in compliance with the License. 
 * 
 * You can obtain a copy of the License at:
 *     https://jersey.dev.java.net/license.txt
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * When distributing the Covered Code, include this CDDL Header Notice in each
 * file and include the License file at:
 *     https://jersey.dev.java.net/license.txt
 * If applicable, add the following below this CDDL Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 *     "Portions Copyrighted [year] [name of copyright owner]"
 */

package com.sun.jersey.samples.helloworld.resources;

import java.util.LinkedList;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import org.codehaus.jettison.json.JSONObject;

@Path("/items")
public class HelloWorldResource {

    final static ItemList emptyList = new ItemList();
    final static ItemList nonEmptyList = new ItemList();

    static {
       nonEmptyList.items = new ItemList.Items();
       nonEmptyList.items.items = new LinkedList<Item>();
       nonEmptyList.items.items.add(new Item());
    }
    
    @GET   @Produces("application/xml") @Path("empty")
    public ItemList getEmptyListAsXML() {
        return emptyList;
    }

    @GET   @Produces("application/json") @Path("empty")
    public JSONObject getEmptyListAsJSON() {
        return emptyList.asJSONObject();
    }

   @GET   @Produces("application/xml") @Path("non-empty")
    public ItemList getListAsXML() {
        return nonEmptyList;
    }
    
    @GET   @Produces("application/json") @Path("non-empty")
    public JSONObject getListAsJSON() {
        return nonEmptyList.asJSONObject();
    }
}